Other Classes: Class HTMLSelectElementImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLSelectElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLSelectElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, HTMLFormControl, org.w3c.dom.html.HTMLSelectElement, org.w3c.dom.Node, org.w3c.dom.NodeList, java.io.Serializable, org.w3c.dom.TypeInfo

public class HTMLSelectElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLSelectElement, HTMLFormControl

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLSelectElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLSelectElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `add(org.w3c.dom.html.HTMLElement element, org.w3c.dom.html.HTMLElement before)`
`void` | `blur()`
`org.w3c.dom.Node` | `cloneNode(boolean deep)` Explicit implementation of cloneNode() to ensure that cache used for getOptions() gets cleared.
`void` | `focus()`
`org.w3c.dom.NodeList` | `getChildNodes()` Explicit implementation of getChildNodes() to avoid problems with overriding the getLength() method hidden in the super class.
`boolean` | `getDisabled()`
`int` | `getLength()` NodeList method: Count the immediate children of this node
`boolean` | `getMultiple()`
`java.lang.String` | `getName()`
`org.w3c.dom.html.HTMLCollection` | `getOptions()`
`int` | `getSelectedIndex()`
`int` | `getSize()`
`int` | `getTabIndex()`
`java.lang.String` | `getType()`
`java.lang.String` | `getValue()`
`void` | `remove(int index)`
`void` | `setDisabled(boolean disabled)`
`void` | `setMultiple(boolean multiple)`
`void` | `setName(java.lang.String name)`
`void` | `setSelectedIndex(int selectedIndex)`
`void` | `setSize(int size)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodesUnoptimized, getFirstChild, getLastChild, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLSelectElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLSelectElementImpl

    public HTMLSelectElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLSelectElement`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.w3c.dom.html.HTMLSelectElement`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `org.w3c.dom.html.HTMLSelectElement`

### getSelectedIndex

    public int getSelectedIndex()

  Specified by:
    `getSelectedIndex` in interface `org.w3c.dom.html.HTMLSelectElement`

### setSelectedIndex

    public void setSelectedIndex(int selectedIndex)

  Specified by:
    `setSelectedIndex` in interface `org.w3c.dom.html.HTMLSelectElement`

### getOptions

    public org.w3c.dom.html.HTMLCollection getOptions()

  Specified by:
    `getOptions` in interface `org.w3c.dom.html.HTMLSelectElement`

### getLength

    public int getLength()

  Description copied from class: `org.apache.xerces.dom.ParentNode`
  NodeList method: Count the immediate children of this node
  Specified by:
    `getLength` in interface `org.w3c.dom.html.HTMLSelectElement`
  Overrides:
    `getLength` in class `org.apache.xerces.dom.ParentNode`
  Following copied from class: `org.apache.xerces.dom.ParentNode`
  Returns:
    int

### getDisabled

    public boolean getDisabled()

  Specified by:
    `getDisabled` in interface `org.w3c.dom.html.HTMLSelectElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `org.w3c.dom.html.HTMLSelectElement`

### getMultiple

    public boolean getMultiple()

  Specified by:
    `getMultiple` in interface `org.w3c.dom.html.HTMLSelectElement`

### setMultiple

    public void setMultiple(boolean multiple)

  Specified by:
    `setMultiple` in interface `org.w3c.dom.html.HTMLSelectElement`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLSelectElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLSelectElement`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `org.w3c.dom.html.HTMLSelectElement`

### setSize

    public void setSize(int size)

  Specified by:
    `setSize` in interface `org.w3c.dom.html.HTMLSelectElement`

### getTabIndex

    public int getTabIndex()

  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLSelectElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLSelectElement`

### add

    public void add(org.w3c.dom.html.HTMLElement element,
                    org.w3c.dom.html.HTMLElement before)

  Specified by:
    `add` in interface `org.w3c.dom.html.HTMLSelectElement`

### remove

    public void remove(int index)

  Specified by:
    `remove` in interface `org.w3c.dom.html.HTMLSelectElement`

### blur

    public void blur()

  Specified by:
    `blur` in interface `org.w3c.dom.html.HTMLSelectElement`

### focus

    public void focus()

  Specified by:
    `focus` in interface `org.w3c.dom.html.HTMLSelectElement`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Explicit implementation of getChildNodes() to avoid problems with overriding the getLength() method hidden in the super class.
  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `getChildNodes` in class `org.apache.xerces.dom.ParentNode`

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Explicit implementation of cloneNode() to ensure that cache used for getOptions() gets cleared.
  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`
  Overrides:
    `cloneNode` in class `org.apache.xerces.dom.ElementImpl`
  Following copied from class: `org.apache.xerces.dom.ElementImpl`
  See Also:
    `Node.cloneNode(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.